%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define rname thinkeramik
%define beta %nil

Name: kde-styles-%rname
Version: 3.2.1
Release: alt2

Group: Graphical desktop/KDE
Summary: KDE Style
License: GPL
URL: http://www.varlock.com/projects/kalloy.html

Requires: %name-kwin = %version-%release, %name-widgets = %version-%release

Source: %rname-%version%beta.tar.bz2
Patch1: 3.2.1-lkdecorations.patch
Patch2: automake.patch

# Automatically added by buildreq on Wed Mar 24 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdebase-devel kdebase-wm kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel

BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc-c++ kdebase-devel libarts-devel
BuildRequires: libjpeg-devel libpng-devel libqt3-devel
BuildRequires: libstdc++-devel qt3-designer zlib-devel
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs > 1 kdelibs-devel > 1

%description
ThinKeramik is a KDE Style for KDE 3.x

%package kwin
Group: Graphical desktop/KDE
Summary: KDE Style for KWin
Requires: %{get_dep kdelibs}
#
%description kwin
KWin Style Alloy for KDE

%package widgets
Group: Graphical desktop/KDE
Summary: KDE Style for widgets
Requires: %{get_dep kdelibs}
#
%description widgets
Widgets style for KDE


%prep
%setup -q -n %rname-%version%beta
%patch1 -p1
%patch2 -p1

#subst "s/Wl,--no-undefined/-Wl,--warn-unresolved-symbols/g" admin/acinclude.m4.in
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs

%build
export QTDIR=%qtdir
%configure \
	--enable-final \
	--disable-rpath \
	--enable-shared \
	--disable-static \
        --disable-debug \
	--program-transform-name=""

%make_build

%install
%make DESTDIR=%buildroot install
#mkdir -p %buildroot/%_libdir/kde3/plugins/styles/
#mv %buildroot/%_libdir/*.{so*,la} %buildroot/%_libdir/kde3/plugins/styles/

%files
%files kwin
#%doc AUTHORS ChangeLog TODO README
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/kwin*.la
%_libdir/kde3/kwin*.so*
%dir %_datadir/apps/kwin
%_datadir/apps/kwin/*.desktop

%files widgets
#%doc AUTHORS ChangeLog TODO README
%_libdir/kde3/plugins/styles/*.la
%_libdir/kde3/plugins/styles/*.so*
%_libdir/kde3/kstyle_*_config.*
#
%dir %_datadir/apps/kdisplay/color-schemes
%_datadir/apps/kdisplay/color-schemes/*.kcsrc
%dir %_datadir/apps/kstyle/themes
%_datadir/apps/kstyle/themes/*.themerc


%changelog
* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt2
- fix build

* Wed May 19 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt1
- initial spec
